=== debian/changelog ===
mxcheck (1.7.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.7.0
  * Drop patches applied upstream
  * Bump standards version, no changes needed
  * Add myself as uploader and in copyright
  * Comment out unused build dependencies
  * Document that ca-certificates is only needed for unit tests

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 06 Jun 2025 10:04:25 +0700

mxcheck (1.6.2-0kali3) kali-dev; urgency=medium

  * Revert "Skip Test_getDKIM"
  * Import upstream patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 27 Feb 2025 15:56:15 +0700

mxcheck (1.6.2-0kali2) kali-dev; urgency=medium

  * Skip Test_getDKIM

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 26 Feb 2025 10:56:58 +0700

mxcheck (1.6.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.6.2
  * Add ca-certificates to build dependencies

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 10 Jan 2025 14:03:04 +0100

mxcheck (1.6.1-0kali2) kali-dev; urgency=medium

  * Fix tests

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 19 Jul 2024 10:08:55 +0200

mxcheck (1.6.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Arslan Masood <contact@arszilla.com>  Mon, 24 Jun 2024 12:45:34 +0300
