=== debian/control ===
Source: mxcheck
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Arnaud Rebillout <arnaudr@kali.org>,
 Arslan Masood <contact@arszilla.com>,
Rules-Requires-Root: no
Build-Depends:
 ca-certificates <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
# Already included in the vendor tree:
# golang-github-jamesog-iptoasn-dev,
# golang-github-logrusorgru-aurora-dev,
# golang-github-miekg-dns-dev,
# golang-github-spf13-pflag-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://gitlab.com/kalilinux/packages/mxcheck
Vcs-Git: https://gitlab.com/kalilinux/packages/mxcheck.git
Homepage: https://github.com/steffenfritz/mxcheck
XS-Go-Import-Path: github.com/steffenfritz/mxcheck

Package: mxcheck
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Info and security scanner for e-mail servers
 mxcheck is an info scanner for e-mail servers, checking:
 .
    - DNS records: A, MX, PTR, SPF, MTA-STS, DKIM, DMARC
    - AS Number and AS Country
    - The support of StartTLS and the certificate
    - Open ports: 25, 465, 587
    - If the service is listed by blacklists
    - If it leaks information by server string and VRFY command
    - If the server is an open relay
