=== debian/tests/control ===
Test-Command: mxcheck --version
Restrictions: superficial, allow-stderr
