=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Arnaud Rebillout <arnaudr@kali.org>,
  Arslan Masood <contact@arszilla.com>,
-Rules-Requires-Root: no
 Build-Depends:
  ca-certificates <!nocheck>,
  debhelper-compat (= 13),
